Api referenceNewsletterIssues

Read newsletter issue history (Preview)

Preview · Available to selected organizations. Lists saved commits in the topic repository, newest first. Requires newsletters and email.

GET
/v1/newsletters/{id}/issues/history

Lists saved commits in the topic repository, newest first. Requires newsletters and email.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^nl_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null

Response Body

Success

application/json
  1. response
projectId*TemplateProjectId
Match^tproj_[0-9a-hjkmnp-tv-z]{16,24}$
head*string
Match^[a-f0-9]{40}$
commits*array<>
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.newsletters.issues.history({  "id": "example"});
Example Response
{  "projectId": "string",  "head": "string",  "commits": [    {      "commit": "string",      "tree": "string",      "parentCommit": "string",      "message": "string",      "committedAt": "string"    }  ]}